Package de.geolykt.starloader.mod

# Class DirectoryExtensionPrototypeList

java.lang.Object
java.util.AbstractCollection<NamedExtensionPrototype>
java.util.AbstractList<NamedExtensionPrototype>
java.util.ArrayList<@NotNull NamedExtensionPrototype>
de.geolykt.starloader.mod.DirectoryExtensionPrototypeList

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<NamedExtensionPrototype>`, `Collection<NamedExtensionPrototype>`, `List<NamedExtensionPrototype>`, `RandomAccess`, `SequencedCollection<NamedExtensionPrototype>`

public class DirectoryExtensionPrototypeList extends ArrayList<@NotNull NamedExtensionPrototype>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryExtensionPrototypeList(File extensionFolder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(int index, @NotNull NamedExtensionPrototype element)`
  `boolean`
  `add(@NotNull NamedExtensionPrototype e)`
  `boolean`
  `addAll(int index, Collection<@NotNull ? extends NamedExtensionPrototype> c)`
  `boolean`
  `addAll(Collection<@NotNull ? extends NamedExtensionPrototype> c)`
  `void`
  `clear()`
  `File`
  `getFolder()`
  `List<NamedExtensionPrototype>`
  `getPrototypes(String s)`
  `@NotNull NamedExtensionPrototype`
  `remove(int index)`
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `removeIf(Predicate<? super NamedExtensionPrototype> filter)`
  `protected void`
  `removeRange(int fromIndex, int toIndex)`
  `void`
  `replaceAll(UnaryOperator<@NotNull NamedExtensionPrototype> operator)`
  `boolean`
  `retainAll(Collection<?> c)`

  ### Methods inherited from class java.util.ArrayList

  `addFirst, addLast, clone, contains, ensureCapacity, equals, forEach, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, removeFirst, removeLast, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll, reversed`

- ## Constructor Details

  - ### DirectoryExtensionPrototypeList

    public DirectoryExtensionPrototypeList(File extensionFolder)

- ## Method Details

  - ### add

    public void add(int index, @NotNull @NotNull NamedExtensionPrototype element)
    Specified by:
      `add` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `add` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### add

    public boolean add(@NotNull @NotNull NamedExtensionPrototype e)
    Specified by:
      `add` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `add` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `add` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### addAll

    public boolean addAll(Collection<@NotNull ? extends NamedExtensionPrototype> c)
    Specified by:
      `addAll` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `addAll` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `addAll` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### addAll

    public boolean addAll(int index, Collection<@NotNull ? extends NamedExtensionPrototype> c)
    Specified by:
      `addAll` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `addAll` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `clear` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `clear` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### getFolder

    public File getFolder()

  - ### getPrototypes

    public List<NamedExtensionPrototype> getPrototypes(String s)

  - ### remove

    @NotNull public @NotNull NamedExtensionPrototype remove(int index)
    Specified by:
      `remove` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `remove` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `remove` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `remove` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `removeAll` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `removeAll` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### removeIf

    public boolean removeIf(Predicate<? super NamedExtensionPrototype> filter)
    Specified by:
      `removeIf` in interface `Collection<NamedExtensionPrototype>`
    Overrides:
      `removeIf` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### removeRange

    protected void removeRange(int fromIndex, int toIndex)
    Overrides:
      `removeRange` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### replaceAll

    public void replaceAll(UnaryOperator<@NotNull NamedExtensionPrototype> operator)
    Specified by:
      `replaceAll` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `replaceAll` in class `ArrayList<@NotNull NamedExtensionPrototype>`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<NamedExtensionPrototype>`
    Specified by:
      `retainAll` in interface `List<NamedExtensionPrototype>`
    Overrides:
      `retainAll` in class `ArrayList<@NotNull NamedExtensionPrototype>`